Interactive transactions may require the consumer to log in to their online banking on the merchant's site before being redirected back to the merchant URL specified in the request.
Headers
Interactive transactions must include the following headers:
- Authorization: Bearer token
- Content-Type: application/json
See Authentication.
Interactive endpoint
To initiate an interactive transaction, send an HTTP POST request to:
POST https://api-mint.paramountcommerce.com/oebigstari/transaction/v4/interactive
There are three interactive transaction scenarios:
First-time payin
This is an example of a JSON interactive request for a first-time consumer or a consumer making a transaction from a bank account they haven't previously registered for Instant Bank Transfer.
In this case, the merchant doesn't already have a bank token associated with this consumer using the specified bank account. If this is a payin transaction, the merchant receives a bank account token (accountToken) in the transaction notification, which can be stored for subsequent transactions made by the same consumer using the same bank account.
Response
After the consumer is redirected to the transactionUrl and logs in to their online banking, the merchant receives a transaction notification that includes the transaction status and, if successful, an account token to use in subsequent transactions by the consumer. See Transaction notifications.
Payin with token
This is an example of a JSON interactive payin request for a returning consumer making a transaction from a bank account they have previously used for Instant Bank Transfer.
In this case, the request includes the bank object, which includes the accountToken that was received in the payin notification of previous successful payin by the same consumer using the same bank account.
NOTE
Consumer account tokens expire after 30 days of consumer inactivity. Returning consumers with an expired accountToken will need to re-authenticate to generate a new accountToken.
Verified payouts
There are two available consumer verification options available for first-time consumer verified payouts:
Preferred
The two-step Preferred option allows merchants to verify consumer bank accounts and do their internal fraud and AML checks before sending the payout request to Instant Bank Transfer. This option works well with most merchant cashiers and processes.
The two steps required for this option are:
- Use the Paramount Consumer Verification API to verify the account ownership and retrieve an OBV (online bank verification) token that links the Consumer with their bank account.
- Process the payout using the direct transaction API. This transaction flow is described in Payout with token.
Alternate
The Alternate option verifies consumer bank accounts and sends the payout request in a single API call. This option is suited to merchants that prefer an automated payout process while providing an enhanced consumer experience.
Response
The consumer is redirected to the transactionUrl and logs in to their online banking, where they confirm the bank account and amount of the payout.
